Bug 522058 - No input selected after profile switch
Summary: No input selected after profile switch
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 10:47 UTC by Michael Monreal
Modified: 2009-09-18 20:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-18 20:45:57 UTC


Attachments (Terms of Use)
Screenshot (34.63 KB, image/png)
2009-09-09 10:47 UTC, Michael Monreal
no flags Details
Log (6.38 KB, text/plain)
2009-09-16 16:05 UTC, Michael Monreal
no flags Details
Pulse log (42.56 KB, text/plain)
2009-09-16 17:43 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2009-09-09 10:47:58 UTC
Created attachment 360190 [details]
Screenshot

In the new (2.27.x) gnome-media I noticed that switching from "Output analog stereo" to "Output analog stereo + Input analog stereo" leaves the input device (Input tab) unused: the device is selected (row has active background) but the radio button is not active (see screenshot)

Comment 1 Bastien Nocera 2009-09-16 15:50:08 UTC
Can you please make sure you use the full versions in bug reports?

Can you reproduce this with gnome-media-2.27.91? Which version of pulseaudio was used?

If you can still reproduce this, please attach the full output of "gnome-volume-control --debug" when reproducing the problem.

Comment 2 Michael Monreal 2009-09-16 16:05:49 UTC
Created attachment 361312 [details]
Log

IIRC there was only one 2.27 gnome-media release but the full version is gnome-media-2.27.91-1.fc11.i586 and pulse is 0.9.15-17.fc11.i586

Comment 3 Bastien Nocera 2009-09-16 16:48:21 UTC
Looking at the code, I can only think that PulseAudio is at fault here.

Could you please attach the output of "pulseaudio -vvv" when reproducing the problem?

It should show whether notifications about the new device have been pushed to the clients.

Comment 4 Michael Monreal 2009-09-16 17:43:18 UTC
Created attachment 361337 [details]
Pulse log

Comment 5 Lennart Poettering 2009-09-16 21:12:35 UTC
Yes, this is probably a bug in PA indeed.

Comment 6 Lennart Poettering 2009-09-18 20:45:57 UTC
Fixed in PA upstream now. Will be fixed in rawhide too, as soon as i do another upload.


Note You need to log in before you can comment on or make changes to this bug.